Bug 11570 - Very few languages are enabled in Babel.
Very few languages are enabled in Babel.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
3
All Linux
high Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-22 00:15 EDT by Aleksey Nogin
Modified: 2013-07-02 18:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 23:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2000-05-22 00:15:51 EDT
Currently, tetex is built and shipped with only US english, french, german,
ngerman and italian uncommented in texmf/tex/generic/config/language.dat .
All but Italian were originally uncommented in the tetex distribution and
Italian is uncommented by teTeX-1.0-italian.patch that was added about a
year ago).

Why not uncomment all the language definitions? You ship all the necessary
support files with teTeX anyway, so you do not save much(may be almost
nothing at all) by running initex with most of the languages commented out.
However for the user, to re-run initex to have the language included and
pack it back into the RPMs is a major project which takes a while even on a
fast machine (and forever on a slow one).

P.S. Right now there is the following line for Russian there:
%russian       ruhyphen.tex    % note: edit ruhyphen.tex for your encoding!

In addition to uncommenting it (BTW, do not worry about encoding, the
default one is good enough), could you also add the following line:

enrus          ruenhyph.tex

It creates a language definition that allows one to write a mixed
English-Russian document without having to switch between languages (is
uses English hyphenation for words typed using Latin letters and Russian
hyphenation for words typed using Cyrillic letters).
Comment 1 Jeff Johnson 2000-12-27 15:33:07 EST
All languages are enabled (including enrus) in tetex-1.0.7-9. Drop me
(jbj@redhat.com) a
note if you'ld be willing to test.
Comment 2 Jeff Johnson 2000-12-29 16:04:50 EST
Oops, I have to back pedal, as adding all the languages exceeds the default
capacity
of tex. I managed to get russian enabled, but not enrus, apologies.
Comment 3 Aleksey Nogin 2001-04-22 14:43:33 EDT
Tried it in 7.1, works fine. Thanks!
Comment 4 Aleksey Nogin 2005-06-22 00:11:51 EDT
This is still a problem in FC3
Comment 5 Jindrich Novy 2005-08-18 06:04:23 EDT
Ok, I enabled all languages in texmf/tex/generic/config/language.dat and am
currently testing whether teTeX survives that.
Comment 6 Jindrich Novy 2005-08-18 08:23:36 EDT
Looks good. Applied.
Comment 8 Jindrich Novy 2005-09-05 03:31:40 EDT
Rahul: The update is not released yet as I want to ship more fixes in an update
at once because of about 100MB of rpms that are needed to be dowloaded when a new
update is released.

Comment 9 Rahul Sundaram 2005-09-05 03:35:30 EDT

Ok. Thanks for the update. 
Comment 10 Matthew Miller 2006-07-10 16:42:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 11 Jindrich Novy 2006-07-10 23:44:13 EDT
The FC3 update has been pushed some time ago already. I just forgot to close this.
Comment 12 Matthew Miller 2006-07-11 11:43:34 EDT
Cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.